/*
 * 
 * Constantes - Copyright (C) 2009 Bruno Dabo <bruno.dabo@lywoon.com>
 * 
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package org.analyse.core.util;

import javax.swing.JMenuItem;

import org.analyse.core.gui.action.BasicAction;
import org.analyse.main.Main;

public class Constantes {

    /** Auteur de l'application */
    public static final String AUTHOR = "Bruno Dabo" ; 

    /** Nom de l'application */
    public static final String NAME = "AnalyseSI";

    /** Version actuel de Analyse */
    public static final String RELEASE = "v0.7";

	public final static int SHOW_ALL = 0;

	public final static int SHOW_ERRORS = 1;

	public final static int HIDE_ALL = 2;

	public final static int CREATE_MCD = 3;

	public final static String PORTEUSE = "PORTEUSE";

	public static final String ZERO_N = "ZERO_N" ;
	public final static String UN_UN = "UN_UN";
	public static final String ZERO_UN = "ZERO_UN" ;
	public final static String UN_N = "UN_N";

	public static final int UPPER = 0;

    public static final int LOWER = 1;

    public static final int NONE = 2;
    
    public static final String MCDASSOCIATION = "MCDASSOCIATION"  ;
    public static final String MCDENTITE1 = "MCDENTITE1"  ;
    public static final String MCDENTITE2 = "MCDENTITE2"  ;    
    
    /** This constant defines an open dialog box. */

    public static final String NEW = "NEW" ;
    public static final String OPEN = "OPEN" ;
    public static final String ABOUT = "ABOUT" ;
    public static final String SAVE = "SAVE" ;
    public static final String SAVEAS = "SAVEAS" ;
    public static final String QUIT = "QUIT" ;
    
    /** This constant defines a save dialog box. */
    public static final String RAPPORT = "RAPPORT";
    public static final String CLOSE = "CLOSE" ;
    public static final String CUT = "CUT" ;
    public static final String COPY = "COPY" ;
    public static final String PASTE = "PASTE" ;
    public static final String DEFAULT = "DEFAULT" ;
    public static final String HELP = "HELP" ;
    public static final String BACK = "BACK" ;
    public static final String HOME = "HOME" ;
    
    // MULTI-LANGAGE
    public static final String MESSAGE_HOME="home" ;
    public static final String MESSAGE_PROJET="projet" ;    
    public static final String MESSAGE_SAUVEGARDE_EFFECTUEE = "sauvegarde_effectuee";
    public static final String MESSAGE_OUI="oui" ;
    public static final String MESSAGE_NON = "non" ;
    public static final String MESSAGE_ANNULER  ="annuler" ;
    public static final String MESSAGE_FERMER_LOGICIEL = "fermer_logiciel" ;
    public static final String MESSAGE_SAUVEGARDER_FICHIER_ENCOURS = "sauvegarder_fichier" ; 
    public static final String MESSAGE_FICHIER_EXISTANT = "fichier_existant" ;
    public static final String MESSAGE_AIDE ="aide";
    public static final String MESSAGE_APROPOS ="apropos";    
    public static final String MESSAGE_AUTEUR = "auteur" ;
    public static final String MESSAGE_QUOI_DE_NEUF="quoi_de_neuf" ;
    public static final String MESSAGE_LICENCE = "licence" ;
    public static final String MESSAGE_FERMER = "fermer" ; 
    public static final String MESSAGE_FERMER_CETTE_FENETRE = "fermer_cette_fenetre" ;
    public static final String MESSAGE_CHARGEMENT_AIDE_ECHEC="chargement_aide_echec" ;
    public static final String MESSAGE_PRECEDENT = "precedent";
    public static final String MESSAGE_RETOUR_PAGE_PRECEDENTE = "retour_page_precedente" ;
}
